<?php
/*
*
* FRENCH ADMIN HELP LANGUAGE FILE
* 
*/

$txt['help_on_roles'] = "<div class='ui-state-highlight ui-corner-all' style='padding:5px;font-weight:bold;'>
Cette page est utilise pour crer et modifier les ROLES.<br />
Un role est associ  un ensemble de rpertoires autoriss et interdits.<br />
Une fois plusieurs roles paramtrs, vous pouvez les utiliser pour les associer  un compte utilisateur.
</div>
<div id='accordion'>
    <h3><a href='#'>Ajouter un ROLE</a></h3>
    <div>
        Cliquer sur l'icone <img src='includes/images/users--plus.png' alt='' />. Une boite de dialogue spcifique vous demandera de saisir l'intitul de ce nouveau role.
    </div>
    
    <h3><a href='#'>Autoriser ou interdire un REPERTOIRE</a></h3>
    <div>
        Vous devez utiliser la matrice 'Roles / Rpertoires' pour dfinir les droits d'accs des roles. Si la couleur de la cellule est rouge, alors le role ne pourra pas accder  ce rpertoire, et si la cellule est verte, alors le role pourra accder  la cellule.<br />
        Pour changer le droit d'acces d'un role  un rpertoire, il suffit de cliquer dessus.<br/>
        <p style='text-align:center;'>
            <span style='text-align:center;'><img src='includes/images/help/roles_1.png' alt='' /></span>
        </p>
        Dans la capture d'cran, vous voyez que le rpertoire 'Cleaner' est autoris pour le role 'Dev' mais qu'il ne l'est pas pour le role 'Commercial'.
    </div>
    
    <h3><a href='#'>Rafraichir manuellement la matrice</a></h3>
    <div>
        Il vous suffit de cliquer sur l'icone <img src='includes/images/arrow_refresh.png' alt='' />.
    </div>
    
    <h3><a href='#'>Editer un role</a></h3>
    <div>
        Il est possible de changer l'intitul d'un role sans aucun impact sur les diffrents paramtrages effectus..<br />
        Selectionner le role que vous voulez renomm et cliquer sur l'icone <img src='includes/images/ui-tab--pencil.png' alt='' />.<br />
        Cela ouvrira une boite de dialogue dans laquelle vous pourrez saisir le nouvel intitul.
    </div>
    
    <h3><a href='#'>Supprimer un role</a></h3>
    <div>
        Vous pouvez tout  fait supprimer un role. Cela aura pour effet de supprimer ce role de chaque utilisateur le possdant.<br />
        Selectionner le role que vous voulez supprim et cliquer sur l'icone <img src='includes/images/ui-tab--minus.png' alt='' />.<br />
        Cela ouvrira une boite de dialogue dans laquelle vous devrez confirmer la suppression.
    </div>
</div>";

$txt['help_on_users'] = "<div class='ui-state-highlight ui-corner-all' style='padding:5px;font-weight:bold;'>
Cette page est utilise pour crer et grer les UTILISATEURS.<br />
Un compte utilisateur est ncessaire pour chaque personne physique devant utiliser cPassMan.<br />
<span class='ui-icon ui-icon-lightbulb' style='float: left;'>&nbsp;</span>La 1re tape consiste  associer l'utilisateur  un ou plusieurs roles.<br />
<span class='ui-icon ui-icon-lightbulb' style='float: left;'>&nbsp;</span>La 2de tape (optionnelle) consiste  dfinir les rpertoires spcifiques auxquels l'utilisateur peut avoir accs.
</div>
<div id='accordion'>
    <h3><a href='#'>Ajouter un UTILISATEUR</a></h3>
    <div>
        Cliquer sur l'icone <img src='includes/images/user--plus.png' alt='' />. Dans la boite de dialogue, il conviendra de saisir :<br />        
        - l'identifiant de connexion de l'utilisateur<br />
        - un mot de passe (peut etre gnrer automatiquement et sera obligatoirement chang  la 1re connexion)<br />
        - un email valide<br />
        - si l'utilisateur sera un administrateur (accs sans limite aux fonctionnalits)<br />
        - si l'utilisateur sera un Manager (tous les droits sur les lments accessibles)<br />
        - si l'utilisateur peut avoir accs  des rpertoires personnels 
    </div>
    <h3><a href='#'>Ajouter un ROLE  un UTILISATEUR</a></h3>
    <div>
        Vous pouvez associer un UTILISATEUR  autant de ROLES que vous voulez. Pour cela, il suffit de cliquer sur l'icone <img src='includes/images/cog_edit.png' alt='' />.<br />
        Une boite de dialogue vous permettra de slectionner les roles dsirs.<br /><br />
        Quand un role est ajout  un utilisateur ce dernier aura alors la possibilit de consulter les lments des rpertoires autoriss et n'aura pas accs  ceux qui se trouvent dans les rpertoires interdits.<br /><br />
        Maintenant il est possible d'etre beaucoup plus prcis en associant en plus des roles des rpertoires autoriss et inerdits pour chaque utilisateur. En effet, vous pouvez autoriser et interdire d'autres rpertoires que ceux prsents dans la dfinition des ROLES.
        <div style='margin:2px Opx 0px 20px;'>
            Par exemple :
            <p style='margin-left:20px;margin-top: 2px;'>
            - UTILISATEUR1 est associ au ROLE1 et ROLE2. <br />
            - ROLE1 donne accs aux rpertoires R1 et R2. <br />
            - R1 possde 4 sous rpertoires S1, S2, S3 et S4.<br />
            - Cela signifie que l'UTILISATEUR1 a accs  F1, F2, S1, S2, S3 et S4.<br />
            - Vous pouvez galement paramtrer UTILISATEUR1 pour qu'il ne puisse pas accder  S4.
            </p>
        </div>
    </div>
    <h3><a href='#'>Est Administrateur (DIEU)</a></h3>
    <div>
        Vous pouvez autoriser tout utilisateur  etre DIEU. Pour cela, vous n'avez qu' cocher la case correspondante.<br /> 
        Attention cependant car un utilisateur DIEU peut accder  toutes les fonctionnalits de cPassMan !!!!
        <p style='text-align:center;'>
        <img src='includes/images/help/users_1.png' alt='' />
        </p>
    </div>
    <h3><a href='#'>Est Manager</a></h3>
    <div>
        Vous pouvez autoriser tout utilisateur  etre MANAGER. Pour cela, vous n'avez qu' cocher la case correspondante.<br /> 
        Un Manager peut modifier et supprimer des lments et des rpertoires, y compris ceux qu'il n'a pas cr.<br /> 
        Un Manager n'a cependant accs qu'aux rpertoires qu'il est autoris  voir. Il est donc possible de crer plusieurs Managers en fonction des Services par exemple.    
        <p style='text-align:center;'>
        <img src='includes/images/help/users_2.png' alt='' />
        </p>
    </div>
    <h3><a href='#'>Supprimer un UTILISATEUR</a></h3>
    <div>
        Vous pouvez supprimer un utilisateur. Pour cela, il suffit de cliquer sur l'icone <img src='includes/images/user--minus.png' alt='' />.
        <p style='text-align:center;'>
        <img src='includes/images/help/users_3.png' alt='' />
        </p>
    </div>
    <h3><a href='#'>Changer le mot de passe d'un utilisateur</a></h3>
    <div>
        Il est tout  fait possible pour un administrateur de changer le mot de passe d'un utilisateur. Pour cela, il suffit de cliquer sur l'icone <img src='includes/images/lock__pencil.png' alt='' />.<br /> 
        A la 1ere connexion de l'utilisateur, il devra la modifier. 
        <p style='text-align:center;'>
        <img src='includes/images/help/users_4.png' alt='' />
        </p>
    </div>
    <h3><a href='#'>Changer l'email d'un utilisateur</a></h3>
    <div>
        Il est tout  fait possible pour un administrateur de changer l'email d'un utilisateur. Pour cela, il suffit de cliquer sur l'icone <img src='includes/images/mail--pencil.png' alt='' />.<br />   
        <p style='text-align:center;'>
        <img src='includes/images/help/users_5.png' alt='' />
        </p>
    </div>
</div>
";

$txt['help_on_folders'] = "<div class='ui-state-highlight ui-corner-all' style='padding:5px;font-weight:bold;'>
Cette page est utilise pour crer et grer les REPERTOIRES.<br />
Un rpertoire est ncessaire pour organiser et structurer vos lments. Il est similaire  un rpertoire de fichiers de Windows.<br />
<span class='ui-icon ui-icon-lightbulb' style='float: left;'>&nbsp;</span>Le niveau le plus bas est appel la RACINE.<br />
<span class='ui-icon ui-icon-lightbulb' style='float: left;'>&nbsp;</span>L'ensemble des rpertoires et sous-rpertoires constitue l'arborescence.<br />
<span class='ui-icon ui-icon-lightbulb' style='float: left;'>&nbsp;</span>Chaque rpertoire est associ  un niveau de profondeur dans l'arborescence.
</div>
<div id='accordion'>
    <h3><a href='#'>Ajouter un REPERTOIRE</a></h3>
    <div>
        Cliquer sur l'icone <img src='includes/images/folder--plus.png' alt='' />. Une boite de dialogue vous permettra de saisir :<br />        
        - l'intitul du rpertoire<br />
        - le rpertoire parent (chaque rpertoire tant associ  un autre rpertoire parent)<br />
        - un niveau de complexit (celui-ci est utilis pour la complexit des mots de passe. Quand un utilisateur cr un nouvel lment, le mot de passe associ doit au moins rpondre  ce critre de complexit)<br />
        - une priode de renouvellement exprime en mois (est ncessaire pour demander un renouvellement des mots de passe).    
    </div>
    <h3><a href='#'>Editer un rpertoire existant</a></h3>
    <div>
        De faon  changer un intitul, la complexit, le rpertoire parent ou la priode de renouvellement d'un rpertoire, vous devez cliquer sur la cellule correspondante.<br />
        Cela rendre la cellule modifiable. Changer alors la valeur et cliquer sur l'icone <img src='includes/images/disk_black.png' alt='' /> pour sauvegarder, ou sur l'icone <img src='includes/images/cross.png' alt='' /> pour annuler.<br />
        <p style='text-align:center;'>
        <img src='includes/images/help/folders_1.png' alt='' />
        </p>
        <div style='margin:10px Opx 0px 20px;'>
            Si vous dcidez de changer le rpertoire parent alors tous les sous-rpertoires seront galement dplacs.
        </div>
    </div>
    <h3><a href='#'>Supprimer un rpertoire</a></h3>
    <div>
        Vous pouvez supprimer un rpertoire. Pour cela, il suffit de cliquer sur l'icone <img src='includes/images/folder--minus.png' alt='' />.<br /> 
        Attention car cela aura pour consquence de supprimer galement tous les lments et les sous-rpertoires !!!!
        <p style='text-align:center;'>
        <img src='includes/images/help/folders_2.png' alt='' />
        </p>
    </div>
    <h3><a href='#'>Astuces spciales</a></h3>
    <div>
        2 astuces existent sur les rpertoires.<br />
        La 1re autorise la cration d'un lment sans avoir  respecter la complexit minimal du mot de passe.<br /> 
        La 2de autorise la modification d'un lment sans avoir  respecter la complexit minimal du mot de passe.<br /> 
        Vous pouvez galement combiner les 2..<br />
        Vous pouvez galement l'utiliser temporairement
        .   
        <p style='text-align:center;'>
        <img src='includes/images/help/folders_3.png' alt='' />
        </p>
    </div>
</div>
";
?>
